﻿.type-dxp-theme {
    font-family: var(--dxp-body-font-family);
    font-size: 1.0625rem;
    line-height: 1.7;
    font-weight: 400;
}

.type-dxp-theme h1, .type-dxp-theme h2, .type-dxp-theme h3, .type-dxp-theme h4, .type-dxp-theme h5, .type-dxp-theme h6 {
    font-weight: 500;
    letter-spacing: -0.02em;
    line-height: 1.17;
}

.type-dxp-theme h1 {
    font-family: var(--dxp-landing-h1-font-family);
    font-size: clamp(2rem, 5vw, 2.25rem);
    margin: 1.2rem 0;
}

.type-dxp-theme h2 {
    font-family: var(--dxp-landing-h2-font-family);
    font-size: clamp(1.6rem, 4vw, 1.85rem);
    margin: 1rem 0;
}

.type-dxp-theme h3 {
    font-family: var(--dxp-landing-h3-font-family);
    font-size: clamp(1.4rem, 3.5vw, 1.6rem);
    margin: 0.9rem 0;
}

.type-dxp-theme h4 {
    font-family: var(--dxp-landing-h4-font-family);
    font-size: clamp(1.25rem, 3vw, 1.45rem);
    margin: 0.8rem 0;
}

.type-dxp-theme h5 {
    font-family: var(--dxp-landing-h5-font-family);
    font-size: clamp(1.125rem, 2.5vw, 1.3rem);
    margin: 0.75rem 0;
}

.type-dxp-theme h6 {
    font-family: var(--dxp-landing-h6-font-family);
    font-size: clamp(1rem, 2vw, 1.15rem);
    margin: 0.75rem 0;
}

.type-dxp-theme p {
    margin: 0.75rem 0;
}

.type-dxp-theme .display { margin-bottom: 2.5rem; }

.type-dxp-theme .display h1 {
    font-size: clamp(2.25rem, 5vw, 2.65rem);
    font-weight: 500;
    letter-spacing: -0.02em;
    line-height: 1.15;
}

.type-dxp-theme .display p {
    font-size: clamp(1.125rem, 1.8vw, 1.15rem);
    line-height: 1.6;
    font-weight: 400;
    letter-spacing: 0;
}